#!/bin/bash
peppymeterpath=/data/plugins/user_interface/peppyspectrum/PeppySpectrum
spath=/data/plugins/user_interface/peppyspectrum
customfolder=/data/INTERNAL/PeppySpectrum/Templates
mkdir -p $customfolder
chmod 777 -R $customfolder
echo "Installing peppyalsa plugin dependencies"
cp $spath/peppyspectrum.service.tar /
		cd /
		sudo tar -xvf peppyspectrum.service.tar
		rm /peppyspectrum.service.tar
		
sudo apt-get update

echo "cloning peppyspectrum repo"
git clone https://github.com/project-owner/PeppySpectrum.git $peppymeterpath
chmod 777 -R $peppymeterpath
sudo chown -R volumio $path
sudo chgrp -R volumio $path

echo "installing apt packages"

sudo apt-get -y install python3-pygame python3
#
echo "Installing peppyalsa plugin if needed"
 [ ! -f "/usr/local/lib/libpeppyalsa.so" ];
	then
		sudo apt-get -y install build-essential autoconf automake libtool libasound2-dev libfftw3-dev
		mkdir /tmp/peppyalsa
		git clone https://github.com/project-owner/peppyalsa.git /tmp/peppyalsa

		cd /tmp/peppyalsa
		aclocal && libtoolize
		autoconf && automake --add-missing
		./configure && make
		sudo make install && exit
  else
		echo "peppyalsa already installed, nothing to do"

pip3 install Pillow
sudo chmod +x /data/plugins/user_interface/peppyspectrum/startpeppyspectrum.sh
#required to end the plugin install
echo "plugininstallend"
